Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1814237 (CVE-2020-9391) - CVE-2020-9391 kernel: brk discards top byte of addresses on aarch64 causing heap corruption in glibc malloc
Summary: CVE-2020-9391 kernel: brk discards top byte of addresses on aarch64 causing h...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-9391
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1797052 1814238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 12:51 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 20:27 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap corruption flaw was found in the Linux kernel on the AArch64 architecture. The top byte is ignored in the address passed to the brk system call, potentially moving the memory break downwards when the application expects it to move upwards. This has been observed to cause heap corruption within the GNU C Library malloc implementation. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-03-23 16:32:17 UTC
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-03-17 12:51:08 UTC
An issue was discovered in the Linux kernel 5.4 and 5.5 through 5.5.6 on the AArch64 architecture. It ignores the top byte in the address passed to the brk system call, potentially moving the memory break downwards when the application expects it to move upwards, aka CID-dcde237319e6. This has been observed to cause heap corruption with the GNU C Library malloc implementation.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1797052
http://www.openwall.com/lists/oss-security/2020/02/25/6

Upstream commit:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=dcde237319e626d1ec3c9d8b7613032f0fd4663a

Comment 1 Guilherme de Almeida Suckevicz 2020-03-17 12:52:26 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1814238]

Comment 4 Rohit Keshri 2020-03-20 12:18:19 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 5 Rohit Keshri 2020-03-20 12:19:26 UTC
Statement:

The affected code was not introduced into any kernel versions shipped with Red Hat Enterprise Linux making this vulnerable not applicable to these platforms.

Comment 7 Product Security DevOps Team 2020-03-23 16:32:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9391


Note You need to log in before you can comment on or make changes to this bug.